import { ElasticsearchContext } from "./types";
import { ContextPlugin } from "@webiny/api";
import { ElasticsearchClientOptions } from "./client";
import { Client } from "@elastic/elasticsearch";
export * from "./indexConfiguration";
export * from "./plugins";
export * from "./sort";
export * from "./indices";
export * from "./where";
export * from "./limit";
export * from "./normalize";
export * from "./compression";
export * from "./operators";
export * from "./cursors";
export * from "./client";
export * from "./utils";
export * from "./operations";
export { createGzipCompression } from "./plugins/GzipCompression";
/**
 * We must accept either Elasticsearch client or options that create the client.
 */
declare const _default: (params: ElasticsearchClientOptions | Client) => ContextPlugin<ElasticsearchContext>;
export default _default;
