"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  createGzipCompression: true
};
Object.defineProperty(exports, "createGzipCompression", {
  enumerable: true,
  get: function () {
    return _GzipCompression.createGzipCompression;
  }
});
exports.default = void 0;
var _error = _interopRequireDefault(require("@webiny/error"));
var _api = require("@webiny/api");
var _client = require("./client");
Object.keys(_client).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _client[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _client[key];
    }
  });
});
var _operators = require("./operators");
Object.keys(_operators).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _operators[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _operators[key];
    }
  });
});
var _elasticsearch = require("@elastic/elasticsearch");
var _indexConfiguration = require("./indexConfiguration");
Object.keys(_indexConfiguration).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _indexConfiguration[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _indexConfiguration[key];
    }
  });
});
var _plugins = require("./plugins");
Object.keys(_plugins).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _plugins[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _plugins[key];
    }
  });
});
var _sort = require("./sort");
Object.keys(_sort).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _sort[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _sort[key];
    }
  });
});
var _indices = require("./indices");
Object.keys(_indices).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _indices[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _indices[key];
    }
  });
});
var _where = require("./where");
Object.keys(_where).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _where[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _where[key];
    }
  });
});
var _limit = require("./limit");
Object.keys(_limit).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _limit[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _limit[key];
    }
  });
});
var _normalize = require("./normalize");
Object.keys(_normalize).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _normalize[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _normalize[key];
    }
  });
});
var _compression = require("./compression");
Object.keys(_compression).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _compression[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _compression[key];
    }
  });
});
var _cursors = require("./cursors");
Object.keys(_cursors).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _cursors[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _cursors[key];
    }
  });
});
var _utils = require("./utils");
Object.keys(_utils).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _utils[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _utils[key];
    }
  });
});
var _operations = require("./operations");
Object.keys(_operations).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _operations[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _operations[key];
    }
  });
});
var _GzipCompression = require("./plugins/GzipCompression");
/**
 * TODO File should contain only exports from other files.
 */
/**
 * We must accept either Elasticsearch client or options that create the client.
 */
var _default = params => {
  return new _api.ContextPlugin(context => {
    if (context.elasticsearch) {
      throw new _error.default("Elasticsearch client is already initialized, no need to define it again. Check your code for duplicate initializations.", "ELASTICSEARCH_ALREADY_INITIALIZED");
    }
    /**
     * Initialize the Elasticsearch client.
     */
    context.elasticsearch = params instanceof _elasticsearch.Client ? params : (0, _client.createElasticsearchClient)(params);
    context.plugins.register((0, _operators.getElasticsearchOperators)());
  });
};
exports.default = _default;

//# sourceMappingURL=index.js.map