"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCommonMappings = void 0;
const getDefaultMappings = () => {
  return [{
    dates: {
      match: "^createdOn|savedOn|publishedOn$",
      mapping: {
        type: "date"
      }
    }
  }, {
    numbers: {
      match: "number@*",
      mapping: {
        type: "scaled_float",
        scaling_factor: 10000
      }
    }
  }, {
    booleans: {
      match: "boolean@*",
      mapping: {
        type: "boolean"
      }
    }
  }];
};
/**
 * @internal
 */
const getCommonMappings = cb => {
  if (!cb) {
    return getDefaultMappings();
  }
  return cb(getDefaultMappings());
};
exports.getCommonMappings = getCommonMappings;

//# sourceMappingURL=common.js.map