"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getLastAddedIndexPlugin = void 0;
var _error = _interopRequireDefault(require("@webiny/error"));
const listIndicesPlugins = ({
  container,
  type,
  locale
}) => {
  return container.byType(type).filter(plugin => {
    return plugin.canUse(locale);
  });
};
const getLastAddedIndexPlugin = params => {
  const plugins = listIndicesPlugins(params);
  if (plugins.length === 0) {
    throw new _error.default(`Could not find a single ElasticsearchIndexPlugin of type "${params.type}".`, "ELASTICSEARCH_INDEX_TEMPLATE_ERROR", {
      type: params.type,
      locale: params.locale
    });
  }
  return plugins.pop();
};
exports.getLastAddedIndexPlugin = getLastAddedIndexPlugin;

//# sourceMappingURL=indices.js.map