"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ElasticsearchBodyModifierPlugin = void 0;
var _error = _interopRequireDefault(require("@webiny/error"));
var _plugins = require("@webiny/plugins");
class ElasticsearchBodyModifierPlugin extends _plugins.Plugin {
  constructor(callable) {
    super();
    this.callable = callable;
  }
  modifyBody(params) {
    if (typeof this.callable !== "function") {
      throw new _error.default(`Missing modification for the body.`, "BODY_MODIFICATION_MISSING", {
        params
      });
    }
    this.callable(params);
  }
}
exports.ElasticsearchBodyModifierPlugin = ElasticsearchBodyModifierPlugin;

//# sourceMappingURL=ElasticsearchBodyModifierPlugin.js.map