import { Plugin } from "@webiny/plugins";
import { ElasticsearchBoolQueryConfig, ElasticsearchQueryBuilderArgsPlugin } from "../../types";
/**
 * Built-in operators name ends with .default because user can override the operator, just write a name without the .default keyword.
 */
export declare abstract class ElasticsearchQueryBuilderOperatorPlugin extends Plugin {
    static readonly type: string;
    /**
     * Check if current locale is supported by this plugin.
     */
    isLocaleSupported(_: string): boolean;
    abstract getOperator(): string;
    abstract apply(query: ElasticsearchBoolQueryConfig, params: ElasticsearchQueryBuilderArgsPlugin): void;
}
