"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ElasticsearchQueryBuilderOperatorContainsPlugin = void 0;
var _ElasticsearchQueryBuilderOperatorPlugin = require("../definition/ElasticsearchQueryBuilderOperatorPlugin");
var _normalize = require("../../normalize");
class ElasticsearchQueryBuilderOperatorContainsPlugin extends _ElasticsearchQueryBuilderOperatorPlugin.ElasticsearchQueryBuilderOperatorPlugin {
  name = "elasticsearch.queryBuilder.operator.contains.default";
  getOperator() {
    return "contains";
  }
  apply(query, params) {
    const {
      value,
      basePath
    } = params;
    query.must.push({
      query_string: {
        allow_leading_wildcard: true,
        fields: [basePath],
        query: (0, _normalize.normalizeValueWithAsterisk)(value),
        default_operator: "and"
      }
    });
  }
}
exports.ElasticsearchQueryBuilderOperatorContainsPlugin = ElasticsearchQueryBuilderOperatorContainsPlugin;

//# sourceMappingURL=contains.js.map